import { SoundSystem } from "../digital/audio";
import { Signature } from "../metronome";
import { SoundOff } from "../midi/types";
import { Effect } from "../midi/types";
import { Song } from "./types";
export declare type MODRun = {
    readonly song: Song;
    timeSignature: Signature;
    currentBpm: number;
    currentPattern: number;
    currentRow: number;
    tracks: Array<Track>;
    output: ChannelMergerNode;
};
export declare const NoOp: SoundOff;
export declare type Track = {
    lastFn: SoundOff;
    lastEffect: Effect;
    vol: GainNode;
    pan: PannerNode;
};
export declare function createRun(system: SoundSystem, song: Song): MODRun;
export declare function destroyRun(system: SoundSystem, run: MODRun): void;
export declare function playRun(system: SoundSystem, run: MODRun): void;
//# sourceMappingURL=player.d.ts.map